summaryrefslogtreecommitdiffstats
path: root/package/l2tp/l2tpd
diff options
context:
space:
mode:
authorBernhard Reutner-Fischer2007-02-16 19:11:48 +0100
committerBernhard Reutner-Fischer2007-02-16 19:11:48 +0100
commitbdf816433ca2a178354ebcda650b807fd3e64e7b (patch)
treebec3cf68ad9f1ab8b1e9b043a1887c674473d8d2 /package/l2tp/l2tpd
parent- just reading the first 9 bytes for the maj:min ought to be enough (TM) (diff)
downloadbuildroot-bdf816433ca2a178354ebcda650b807fd3e64e7b.tar.gz
buildroot-bdf816433ca2a178354ebcda650b807fd3e64e7b.tar.xz
buildroot-bdf816433ca2a178354ebcda650b807fd3e64e7b.zip
- add runlevel script
Diffstat (limited to 'package/l2tp/l2tpd')
-rwxr-xr-xpackage/l2tp/l2tpd27
1 files changed, 27 insertions, 0 deletions
diff --git a/package/l2tp/l2tpd b/package/l2tp/l2tpd
new file mode 100755
index 000000000..0b51339f3
--- /dev/null
+++ b/package/l2tp/l2tpd
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+DAEMON=/usr/sbin/l2tpd
+PIDFILE=/var/run/l2tpd.pid
+
+test -f $DAEMON || exit 0
+
+case "$1" in
+ start)
+ start-stop-daemon --start --pidfile $PIDFILE --exec $DAEMON -- -D &
+ ;;
+ stop)
+ start-stop-daemon --stop --pidfile $PIDFILE --exec $DAEMON
+ ;;
+ restart|force-reload)
+ start-stop-daemon --stop --pidfile $PIDFILE --exec $DAEMON
+ sleep 1
+ start-stop-daemon --start --pidfile $PIDFILE --exec $DAEMON
+ ;;
+ *)
+ echo "Usage: /etc/init.d/l2tdp {start|stop|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0